<?php 
/* Campaigned system plugin for Joomla! 2.5, 3.2
------------------------------------------------
Version: 1.0
Created: January 2014
Developer: Joomduck
E-mail: contact@joomduck.com
Website: http://www.joomduck.com
Copyright (C) 2009-2014 Joomduck. All rights reserved.
License: GNU GPLv2 http://www.gnu.org/licenses/gpl-2.0.html
*/

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgSystemCampaigned extends JPlugin {

	function plgSystemCampaigned( &$subject, $config )	{
	 
		parent::__construct( $subject, $config );
		
		$option = JRequest::getVar('option');
		$disabled_components = array();

		$this->_initialize_button = (JPATH_BASE == JPATH_ADMINISTRATOR || in_array($option, $disabled_components) || !$this->params->get('deal_url')) ? false : true;

	}

	function onAfterInitialise() {

		if(!$this->_initialize_button) return false;
	
		JHTML::_('behavior.modal');
		$button_color = $this->params->get('button_color', '#666666');
		$button_position = $this->params->get('button_position', 'bottom_left');
		
ob_start(); ?>
  <style>
	#campaigned-button {
		display: block; 		
		position: fixed;
		bottom: 0px; 
		<?php if($button_position == 'bottom_left') : ?>
			left: 30px; 
		<?php elseif($button_position == 'bottom_right') : ?>
			right: 30px; 
		<?php endif; ?>
		z-index: 10000;
<?php if($button_color != 'transparent') : ?>
		border: solid 1px #4f4f4f; 
		-moz-border-radius: 4px 4px 0px 0px;
		-webkit-border-radius: 4px 4px 0px 0px;
		border-radius: 4px 4px 0px 0px;
		/*IE 7 AND 8 DO NOT SUPPORT BORDER RADIUS*/
		-moz-box-shadow: 0px 0px 5px #a3a3a3;
		-webkit-box-shadow: 0px 0px 5px #a3a3a3;
		box-shadow: 0px 0px 5px #a3a3a3;
<?php endif; ?>
<?php if($button_color == '#666666') : ?>
		/*IE 7 AND 8 DO NOT SUPPORT BLUR PROPERTY OF SHADOWS*/
		filter: progid:DXImageTransform.Microsoft.gradient(startColorstr = '#666666', endColorstr = '#4f4f4f');
		/*INNER ELEMENTS MUST NOT BREAK THIS ELEMENTS BOUNDARIES*/
		/*Element must have a height (not auto)*/
		/*All filters must be placed together*/
		-ms-filter: "progid:DXImageTransform.Microsoft.gradient(startColorstr = '#666666', endColorstr = '#4f4f4f')";
		/*Element must have a height (not auto)*/
		/*All filters must be placed together*/
		background-image: -moz-linear-gradient(top, #666666, #4f4f4f);
		background-image: -ms-linear-gradient(top, #666666, #4f4f4f);
		background-image: -o-linear-gradient(top, #666666, #4f4f4f);
		background-image: -webkit-gradient(linear, center top, center bottom, from(#666666), to(#4f4f4f));
		background-image: -webkit-linear-gradient(top, #666666, #4f4f4f);
		background-image: linear-gradient(top, #666666, #4f4f4f);
		/*--IE9 DOES NOT SUPPORT CSS3 GRADIENT BACKGROUNDS--*/
<?php else : ?>
		background-color: <?php echo $button_color; ?>; 		
<?php endif; ?>
		font-family: Arial;
		font-weight: normal; 
		font-style: normal; 
		font-size: 14px; 
		-webkit-font-smoothing:antialiased;
		-moz-font-smoothing:antialiased;
		font-smoothing:antialiased;
	}
  </style>
<?php 
		$button_css = ob_get_clean();	
		$document = JFactory::getDocument();
		$document->addCustomTag($button_css );

		return;
}
	
	function onAfterRender() {		
	
		if(!$this->_initialize_button) return false;
		
		$html = JResponse::getBody();
		$deal_url = $this->params->get('deal_url');
		$button_text = $this->params->get('button_text');
		$button_image = $this->params->get('button_image');
		
ob_start(); ?>
	<div id="campaigned-button">
		<a class="modal" rel="{handler: 'iframe', size: {x: 600, y: 400}}" style="text-decoration:none;<?php if($button_text && $button_text != ' ') echo 'display:block; padding: 6px 20px; color:#F0F1F1;'; ?>" href="<?php echo $deal_url; ?>">
			<?php if($button_image) : ?>
				<img src="<?php echo JURI::root().$button_image; ?>" border="0" alt="" style="display:inline;" />
			<?php endif; ?>
			<?php echo $button_text; ?>
		</a>
	</div>
<?php 
		$button_html = ob_get_clean();	
		$button_html .= "\n</body>";
		$html = str_replace('</body>', $button_html, $html);
		
		JResponse::setBody( $html );
		
		return;	
	} 
}